Bug 1658348 - vdo postsuspend allocates memory, doesn't handle IO error
Summary: vdo postsuspend allocates memory, doesn't handle IO error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: kmod-kvdo
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Sweet Tea Dorminy
QA Contact: Jakub Krysl
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-11 20:17 UTC by Sweet Tea Dorminy
Modified: 2019-06-14 01:52 UTC (History)
3 users (show)

Fixed In Version: 6.2.0.290
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-14 01:52:23 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Sweet Tea Dorminy 2018-12-11 20:17:37 UTC
Description of problem:
VDO's post-suspend function does a flush to the storage under it. It allocates memory to do this flush, and does not enter read-only mode if it gets an error on this flush. It shouldn't allocate, and should enter read-only. 

Version-Release number of selected component (if applicable):
6.2.0.287

How reproducible:
Not particulrly.

Steps to Reproduce:
1. Make VDO suspend in a memory-constrained environment, or where it gets an io error on its final flush.

Actual results:
Observe hanging for mem allocation, or failure to enter read only mode.


Expected results:
No memory allocation, and read-only mode upon error.

Comment 2 Jakub Krysl 2019-02-14 09:04:53 UTC
Regression testing passed with following versions:

kernel-4.18.0-64.el8.x86_64
kmod-kvdo-6.2.0.293-44.el8.x86_64
vdo-6.2.0.293-10.el8.x86_64


Note You need to log in before you can comment on or make changes to this bug.